// MyTab.cpp : implementation file
//

#include "stdafx.h"
#include "o2Launcher.h"
#include "MyTab.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyTab

CMyTab::CMyTab()
{
}

CMyTab::~CMyTab()
{
}


BEGIN_MESSAGE_MAP(CMyTab, CTabCtrl)
	//{{AFX_MSG_MAP(CMyTab)
	ON_WM_PAINT()
	ON_WM_WINDOWPOSCHANGING()
	ON_WM_CANCELMODE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyTab message handlers


void CMyTab::OnPaint() 
{
	CPaintDC dc(this); // device context for painting

	// TODO: Add your message handler code here
	CBrush brush, *pbrush;
	CRect rect;

	CBitmap fundo, *old_bitmap;
	BITMAP fundo_info;
	CDC dBuffer;

	int nSelectedTab = GetCurSel();

	if (nSelectedTab==0) {
		CBitmap bmp;
		bmp.LoadBitmap(IDB_PATTERN);
		brush.CreatePatternBrush(&bmp);
		pbrush = &brush;
	} else {
		pbrush = CBrush::FromHandle((HBRUSH)GetClassLong(m_hWnd, GCL_HBRBACKGROUND));
	}

	GetClientRect(&rect);
	rect.bottom=22;
	GetDC()->FillRect(&rect,pbrush);
	GetClientRect(&rect);
	rect.right=5;
	GetDC()->FillRect(&rect,pbrush);

	dBuffer.CreateCompatibleDC(GetDC());
	if (nSelectedTab==0) fundo.LoadBitmap(IDB_ROMTAB);
	else fundo.LoadBitmap(IDB_ROMTAB_D);
	fundo.GetBitmap(&fundo_info);
	old_bitmap = dBuffer.SelectObject(&fundo);
		
	rect.top = 0;
	rect.bottom = 21;
	rect.left = 0;
	rect.right = 69;

	GetDC()->StretchBlt(0,0,rect.right,rect.bottom, &dBuffer, 
		 0, 0,fundo_info.bmWidth,fundo_info.bmHeight,SRCCOPY);

	fundo.Detach();

	dBuffer.SelectObject(&old_bitmap);
	dBuffer.DeleteDC();
	
	///////////////////////////////////////////////////////////

	dBuffer.CreateCompatibleDC(GetDC());
	if (nSelectedTab==1) fundo.LoadBitmap(IDB_SETTAB);
	else fundo.LoadBitmap(IDB_SETTAB_D);
	fundo.GetBitmap(&fundo_info);
	old_bitmap = dBuffer.SelectObject(&fundo);


	rect.top = 0;
	rect.bottom = 21;
	rect.left = 70;
	rect.right = 139;
		
	GetDC()->StretchBlt(70,0,rect.right - rect.left,rect.bottom, &dBuffer, 
		 0, 0,fundo_info.bmWidth,fundo_info.bmHeight,SRCCOPY);

	fundo.Detach();

	dBuffer.SelectObject(&old_bitmap);
	dBuffer.DeleteDC();

	CTabCtrl::OnPaint();

	// Do not call CTabCtrl::OnPaint() for painting messages
}

void CMyTab::OnWindowPosChanging(WINDOWPOS FAR* lpwndpos) 
{
	CTabCtrl::OnWindowPosChanging(lpwndpos);
	
	// TODO: Add your message handler code here
	
}

void CMyTab::OnCancelMode() 
{
	CTabCtrl::OnCancelMode();
	
	// TODO: Add your message handler code here
	
}

LRESULT CMyTab::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CTabCtrl::WindowProc(message, wParam, lParam);
}

BOOL CMyTab::PreTranslateMessage(MSG* pMsg) 
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CTabCtrl::PreTranslateMessage(pMsg);
}
