#if !defined(AFX_TABROMS_H__6761F9BC_AD18_4A02_A515_4D8F6A1ED1B8__INCLUDED_)
#define AFX_TABROMS_H__6761F9BC_AD18_4A02_A515_4D8F6A1ED1B8__INCLUDED_
#include "TabSettings.h"
#include <afxtempl.h>
#include "Item.h"
#include "MyButton.h"
#include "MyTreeCtrl.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TabRoms.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTabRoms dialog

class CTabRoms : public CDialog
{
// Construction
public:
	CWnd *m_ParentDialog;
	CString m_strCommand;
	BOOL MountCommandLine();
	CTabSettings* m_settings;
	CTabRoms(CWnd* pParent = NULL);   // standard constructor
	CList<CItem,CItem&> m_GameList;


// Dialog Data
	//{{AFX_DATA(CTabRoms)
	enum { IDD = IDD_TAB_ROMS };
	CMyButton	m_LaunchButton;
	CMyButton	m_ManualButton;
	CMyButton	m_CoverButton;
	CStatic	m_Screenshot;
	CMyTreeCtrl	m_RomsList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTabRoms)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTabRoms)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangedRomsList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCover();
	afx_msg void OnManual();
	afx_msg void OnLaunch();
	afx_msg void OnDblclkRomsList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABROMS_H__6761F9BC_AD18_4A02_A515_4D8F6A1ED1B8__INCLUDED_)
