// o2LauncherDlg.h : header file
//

#if !defined(AFX_O2LAUNCHERDLG_H__E1905C2F_6C90_4622_9AC7_50C02959D587__INCLUDED_)
#define AFX_O2LAUNCHERDLG_H__E1905C2F_6C90_4622_9AC7_50C02959D587__INCLUDED_

#include "TabSettings.h"	// Added by ClassView
#include "TabRoms.h"	// Added by ClassView
#include "MyTab.h"
#include "CrcDialog.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CO2LauncherDlg dialog

class CO2LauncherDlg : public CDialog
{
// Construction
public:
	CTabRoms m_TabRoms;
	CTabSettings m_TabSettings;
	BOOL GetConfig();
	CString m_strCommand;
	BOOL MountCommandLine();
	CImageList m_imgList;
	BOOL RefreshRomsList();
	CO2LauncherDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CO2LauncherDlg)
	enum { IDD = IDD_O2LAUNCHER_DIALOG };
	CMyTab	m_Tabs;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CO2LauncherDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CO2LauncherDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDblclkRomsList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnLaunch();
	afx_msg void OnAboutAbout();
	afx_msg void OnClose();
	afx_msg void OnFileQuit();
	afx_msg void OnSelchangeTabs(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSetFocus(CWnd* pNewWnd);
	afx_msg void OnToolsCrccalculator();
	afx_msg void OnToolsEmulatorkeys();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_O2LAUNCHERDLG_H__E1905C2F_6C90_4622_9AC7_50C02959D587__INCLUDED_)
