// CrcDialog.cpp : implementation file
//

#include "stdafx.h"
#include "o2Launcher.h"
#include "CrcDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCrcDialog dialog


CCrcDialog::CCrcDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CCrcDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCrcDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CCrcDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCrcDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCrcDialog, CDialog)
	//{{AFX_MSG_MAP(CCrcDialog)
	ON_BN_CLICKED(ID_COPY_CB, OnCopyCb)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCrcDialog message handlers

BOOL CCrcDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();

	GetDlgItem(IDC_FILENAME)->SetWindowText(m_strFileName);
	GetDlgItem(IDC_CRC)->SetWindowText(m_strCRC);
	return TRUE; 
}

void CCrcDialog::OnCopyCb() 
{
	CEdit *ce = (CEdit *) GetDlgItem(IDC_CRC);

	ce->SetSel(0,-1);
	ce->Copy();
}

void CCrcDialog::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}


void CCrcDialog::OnCancel() 
{
	CDialog::OnCancel();
}


BOOL CCrcDialog::PreTranslateMessage(MSG* pMsg) 
{
	if (pMsg->message == WM_KEYDOWN) {
		switch (pMsg->wParam)
		{
		case VK_ESCAPE:
		case VK_RETURN:
			CDialog::OnOK();
			return TRUE;
		}
	}

	return CDialog::PreTranslateMessage(pMsg);
}
